Subject: Re: Marvell 88E609x switch?

From: Jesper Dangaard Brouer <[email-masked]>
Date: Sat, 07 Mar 2009 16:53:45 +0100

On Fri, 2009-03-06 at 08:49 -0700, Gary Thomas wrote:
> After much experimentation, I finally found out what was
> wrong.  Basically, the trunk masks have 8 bits on the 6131,
> but 11 bits on the 609x and this wasn't being handled.  Once
> the trunk masks were reset by the init code, there was no
> path to the CPU port from the LAN ports :-(  The attached
> patch is what I've ended up with.  It works, at least for
> a single switch.

Thats great! ... finally you discovered the difference :-)

Once you are ready with a more final patch, I'll be happy to review it
(and fixup any whitespace compliance stuff... which the attached patch
does not comply to ;-))

> Next, I need to get it to work with multiple switches (separate
> ethernet controllers, same/shared MII bus), as well as a cascaded
> switch.

Okay, I'll be happy to review any patches, but I don't have any
experience with a multiple switch chip setup...

-- 
Med venlig hilsen / Best regards
  Jesper Brouer
  ComX Networks A/S
  Linux Network developer
  Cand. Scient Datalog / MSc.
  Author of http://adsl-optimizer.dk
  LinkedIn: http://www.linkedin.com/in/brouer